Subject: bug#75463: closed (Re: bug#75463: Incorrect sourcing on foreign distros)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Jan 2025 19:01:02 +0000

Your bug report

#75463: Incorrect sourcing on foreign distros

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75463: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75463: Incorrect sourcing on foreign distros
From: Leo Famulari <[email-masked]>
To: Einar Largenius <[email-masked]>
Cc: [email-masked]
Date: Thu, 9 Jan 2025 14:00:01 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jan 09, 2025 at 03:26:52PM +0100, Einar Largenius wrote:
> It has two lines:
> 
>     [ -L "$GUIX_PROFILE" ] || \
> 
> Shouldn't it be:
> 
>     [ -L "$GUIX_PROFILE" ] && \

Yes, you are correct.
> I use Guix on Fedora 41.

This bug was fixed in commit 08bb2dbb13cc7180a9d8316f9d52b6f7a20d5e8d:

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=08bb2dbb13cc7180a9d8316f9d52b6f7a20d5e8d

But since this zzz-profile.sh file is only created while installing
Guix, you can fix it "by hand".

Thanks for the report!

Subject: Incorrect sourcing on foreign distros
From: Einar Largenius <[email-masked]>
To: [email-masked]
Date: Thu, 09 Jan 2025 15:26:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I was trying to figure out what is needed to make bash-completion working with my user profile and I came across what I believe is an error.

The relevant file is /etc/profile.d/zzz-guix.sh

It has two lines:

    [ -L "$GUIX_PROFILE" ] || \

Shouldn't it be:

    [ -L "$GUIX_PROFILE" ] && \

I use Guix on Fedora 41.

-- 
Med vänliga hälsningar Einar